# cli-lookup

This is a side-project stemming from a Flask website project (https://code.joostagterhoek.nl/joost/flask-soc-site). Instead of a web app, I wanted to develop a similar tool to use from the command line. This tool can currently look up information relevant to domains and IP addresses, like the registrar, DNSSEC, SPF and DMARC records.

# Todos

# Features

 - 👓 look up relevant host information (registrar, domain registration, DNSSEC, SPF, DMARC) for URLs and email addresses
 - 🤩 display lookup results in an appealing and easy-to-read fashion with [`rich`](https://rich.readthedocs.io/en/stable/introduction.html)
# Todos

- ✏️  highlight lookup results and corresponding legend information (match an SPF value with an SPF legend explanation of that value)
- 🔢 look up relevant information on IP addresses

# Screenshot

Below you can find a screenshot of the current output of the tool.

![screenshot](assets/imgs/README_2024-09-02_14-40-00.png)
